#include "dynare2.h"
#include "dynare3.h"

void Dynare::jacobian(Vector& zz, TwoDMatrix &jacob)
{
	vec_double g_v;
	vec_int g_c;
	vec_int g_r;

	int it = 1-sm.maxlag;
	execute_tree(md, zz, g_v, g_c, g_r, end_endo_deriv, it, 0);
	
	vec_int k(sm.dyn_endo_nbr+sm.exo_nbr);
	int m = 0;
	for (t_var_deriv_index::iterator i=var_deriv_index.begin(); i != var_deriv_index.end(); i++)
    {
		if (((*i)->second).type == 1)
		{
			k[m] = ((*i)->second).nbr;
		} 
		else if (((*i)->second).type == 0)
		{
			k[m] = -1;
		}
		++m;
    }

	vec_int::iterator ig_c = g_c.begin();
	vec_int::iterator ig_r = g_r.begin();
	for( vec_double::iterator ig_v = g_v.begin(); ig_v != g_v.end(); ig_v++)
    {
		int i = k[*ig_c-1];
		if ( i >= 0)
		{
			jacob.get(*ig_r-1, i) += *ig_v;
		}
		++ig_r;
		++ig_c;
    }
}









