#ifndef MOMENTS_H
#define MOMENTS_H

#include "dynare2.h"
#include "../tl/cc/twod_matrix.h"

class Dynare;

class Moments {
public:
	Moments()
		: vcov(NULL) {}
	~Moments()
		{if (vcov) delete vcov;}
	void init(int i);
	void push(const char *);
	void push(const char *, const int);
	void push(const double );
	void set_variance(Dynare& dynare, const char*, const double);
	void row_inc(void);
	const TwoDMatrix& getVcov() const
		{return *vcov;}
private:
	TwoDMatrix* vcov;
	int vcov_row;
	int vcov_col;
	int vcov_triang;
	int var_nbr;
};


#endif
